#!/bin/bash
#
# (c) Gregor Rebel 2010-2011

Option="$1"

Log="compile.log"

OK=""
echo "compiling..."
make clean all >$Log 2>&1 && OK="1"

if [ "$OK" == "1" ]; then
    echo "Compiled successfully:"
    ls -l *.bin
    echo ""
    if [ "$Option" == "show" ]; then
      less $Log
    else
      echo "show log via: $0 show"
    fi
else
    echo "ERROR occured during compilation!"
    less $Log
fi
echo ""

