#!/bin/bash

Option="$1"

Log="compile.log"

OK=""
echo "compiling..."
make clean all >$Log 2>&1 && OK="1"

if [ "$OK" == "1" ]; then
    echo "Compiled successfully:"
    ls -lh *.bin *.elf
    echo ""
    if [ "$Option" == "show" ]; then
      less $Log
    else
      echo "show log via:    $0 show"
    fi
    if [ "$Option" == "flash" ]; then
      ./_/flash.sh
    else
      echo "flash to uC via: $0 flash"
    fi
else
    echo "ERROR occured during compilation!"
    less $Log
fi
echo ""

